/* 
 * File:   def.h
 * Author: th
 * part of LISY80NG - Displays
 * Version 200
 * 24.12.2015
 */

#ifndef DEF_H
#define	DEF_H

// CONFIG1
#pragma config FOSC = INTOSCIO  // Oscillator Selection bits (INTOSCIO oscillator: I/O function on RA6/OSC2/CLKOUT pin, I/O function on RA7/OSC1/CLKIN)
#pragma config WDTE = OFF       // Watchdog Timer Enable bit (WDT disabled and can be enabled by SWDTEN bit of the WDTCON register)
#pragma config PWRTE = ON       // Power-up Timer Enable bit (PWRT enabled)
#pragma config MCLRE = OFF      // RE3/MCLR pin function select bit (RE3/MCLR pin function is digital input, MCLR internally tied to VDD)
#pragma config CP = OFF         // Code Protection bit (Program memory code protection is disabled)
#pragma config BOREN = ON       // Brown-out Reset Selection bits (BOR enabled)
#pragma config BORV = 19        // Brown-out Reset Voltage selection bit (Brown-out Reset Voltage (VBOR) set to 1.9 V nominal)
#pragma config PLLEN = ON       // INTOSC PLLEN Enable Bit (INTOSC Frequency is 16MHz (32x))

// CONFIG2
#pragma config VCAPEN = DIS     // Voltage Regulator Capacitor Enable bits (All VCAP pin functions are disabled)

#define _XTAL_FREQ 16000000      // 16 MHz internal Clock // Fosc  frequency for _delay()  library

#define Green_LED PORTAbits.RA6
#define Yellow_LED PORTAbits.RA7

#define D_80B_LD1 PORTBbits.RB7
#define D_80B_LD2 PORTBbits.RB6
#define D_80B_RESET PORTBbits.RB5

//typedefs
typedef union three {
    unsigned char byte;
    struct {
    unsigned FREE:5, RESET:1, LD2:1, LD1:1;
    //signed b0:1, b1:1, b2:1, b3:1, b4:1, b5:1, b6:1, b7:1;
        } bitv;
    } gtb80b_portb_t;
    
#endif	/* DEF_H */

